Revoke an API key
curl --request POST \
--url https://app.egma.ai/v1/keys/{apiKeyId}/revoke \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"scope": "organization",
"organizationId": "<string>",
"projectId": "<string>",
"looksLike": "<string>",
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}API keys
Revoke an API key
POST
/
v1
/
keys
/
{apiKeyId}
/
revoke
Revoke an API key
curl --request POST \
--url https://app.egma.ai/v1/keys/{apiKeyId}/revoke \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"scope": "organization",
"organizationId": "<string>",
"projectId": "<string>",
"looksLike": "<string>",
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Path Parameters
Minimum string length:
1Response
The revoked API key.
Minimum string length:
1Available options:
organization, project Minimum string length:
1Minimum string length:
1Minimum string length:
1